Subject: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse

From: Po Lu <[email-masked]>
Date: Wed, 31 Aug 2022 09:33:32 +0800

Visuwesh <[email-masked]> writes:

> I wonder if I can pull this off using debug Emacs running in Xephyr and
> with a single mouse attached

My experience is that subtle bugs with pointer grabbing cannot be
reproduced in Xephyr (or any environment you specifically set up for
debugging) at all, but it can't hurt to try.

> (or maybe I can get my touchpad and mouse to be separate "mice"
> somehow)

You could try adding a new master pointer and attaching the device you
want to behave separately to it.

The disadvantage is that 99% of window managers have no proper support
for multi-pointer X environments, and either crash or freeze.

I think mpwm is the only window manager that will work, but it will take
a lot of time to find a recent copy.